; BeBox/theme.jl

(let*
  (
    (font-colors (list "grey"
                       "black"))
    
    (frame-image (list (set-image-border (make-image "inactive.png") 2 2 2 2)
                       (set-image-border (make-image "active.png") 2 2 2 2)))
                     
    (close-image (list (make-image "close-inactive.png")
                       (make-image "close-active.png")))
                       
    (min-image (list (make-image "min-inactive.png")
                     (make-image "min-active.png")))


    (frame `(
        ((background . "black")
         (left-edge . -1)
         (right-edge . -7)
         (top-edge . -20)
         (height . 20)
         (class . title))
        ((background . ,frame-image)
         (foreground . ,font-colors)
         (text . ,window-name)
         (x-justify . center)
         (y-justify . center)
         (left-edge . 19)
         (right-edge . 13)
         (height . 18)
         (top-edge . -19)
         (class . title))
        ((background . ,frame-image)
         (foreground . ,min-image)
         (x-justify . center)
         (y-justify . center)
         (height . 18)
         (width . 18)
         (top-edge . -19)
         (left-edge . 0)
         (class . iconify-button))
        ((background . ,frame-image)
         (foreground . ,close-image)
         (x-justify . center)
         (y-justify . center)
         (height . 18)
         (width . 18)
         (top-edge . -19)
         (right-edge . -6)
         (class . close-button))
        ((background . "black")
         (left-edge . -1)
         (top-edge . -1)
         (width . 1)
         (bottom-edge . -1)
         (class . left-border))
        ((background . "black")
         (top-edge . -1)
         (bottom-edge . -1)
         (right-edge . -7)
         (width . 7)
         (class . right-border))
        ((background . "black")
         (left-edge . -1)
         (right-edge .-1)
         (height . 1)
         (bottom-edge . -1)
         (class . bottom-border))      
        ((background . ,frame-image)
         (right-edge . -6)
         (top-edge . 0)
         (width . 5)
         (bottom-edge . 21)
         (class . right-border))
        ((background . ,frame-image)
         (right-edge . -6)
         (bottom-edge . 0)
         (width . 5)
         (height . 20)
         (class . bottom-right-corner))
      ))

    (shaped-frame `(
        ((background . "black")
         (left-edge . -1)
         (right-edge . -7)
         (top-edge . -20)
         (height . 20)
         (class . title))
        ((background . ,frame-image)
         (foreground . ,font-colors)
         (text . ,window-name)
         (x-justify . center)
         (y-justify . center)
         (left-edge . 19)
         (right-edge . 13)
         (height . 18)
         (top-edge . -19)
         (class . title))
        ((background . ,frame-image)
         (foreground . ,min-image)
         (x-justify . center)
         (y-justify . center)
         (height . 18)
         (width . 18)
         (top-edge . -19)
         (left-edge . 0)
         (class . iconify-button))
        ((background . ,frame-image)
         (foreground . ,close-image)
         (x-justify . center)
         (y-justify . center)
         (height . 18)
         (width . 18)
         (top-edge . -19)
         (right-edge . -6)
         (class . close-button))
      ))
      
    (transient-frame `(
        ((background . "black")
         (left-edge . -1)
         (right-edge . -7)
         (top-edge . -20)
         (height . 20)
         (class . title))
        ((background . ,frame-image)
         (foreground . ,font-colors)
         (text . ,window-name)
         (x-justify . center)
         (y-justify . center)
         (left-edge . 0)
         (right-edge . -6)
         (height . 18)
         (top-edge . -19)
         (class . title))
        ((background . "black")
         (left-edge . -1)
         (top-edge . -1)
         (width . 1)
         (bottom-edge . -1)
         (class . left-border))
        ((background . "black")
         (top-edge . -1)
         (bottom-edge . -1)
         (right-edge . -7)
         (width . 7)
         (class . right-border))
        ((background . "black")
         (left-edge . -1)
         (right-edge .-1)
         (height . 1)
         (bottom-edge . -1)
         (class . bottom-border))      
        ((background . ,frame-image)
         (right-edge . -6)
         (top-edge . 0)
         (width . 5)
         (bottom-edge . 21)
         (class . right-border))
        ((background . ,frame-image)
         (right-edge . -6)
         (bottom-edge . 0)
         (width . 5)
         (height . 20)
         (class . bottom-right-corner))
      ))

    (shaped-transient-frame `(
        ((background . "black")
         (left-edge . -1)
         (right-edge . -7)
         (top-edge . -20)
         (height . 20)
         (class . title))
        ((background . ,frame-image)
         (foreground . ,font-colors)
         (text . ,window-name)
         (x-justify . center)
         (y-justify . center)
         (left-edge . 0)
         (right-edge . -6)
         (height . 18)
         (top-edge . -19)
         (class . title))
      ))



   )
      
  (add-frame-style 'BeBox
    (lambda (w type)
      (cond 
            ((eq type 'shaped) shaped-frame)
            ((eq type 'unframed) nil-frame)
            ((eq type 'transient) transient-frame)
            ((eq type 'shaped-transient) shaped-transient-frame)
            (t frame))))            
)
